Bug 1487866 - Install from 32-bit live says cannot write boot
Summary: Install from 32-bit live says cannot write boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-02 19:15 UTC by Fred J. Tydeman
Modified: 2018-05-29 12:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:48:42 UTC
Type: Bug


Attachments (Terms of Use)
anaconda.log (209.56 KB, text/plain)
2017-09-05 16:49 UTC, Fred J. Tydeman
no flags Details
storage.log (541.20 KB, text/plain)
2017-09-05 16:51 UTC, Fred J. Tydeman
no flags Details
packaging.log (359 bytes, text/plain)
2017-09-05 16:52 UTC, Fred J. Tydeman
no flags Details
program.log (169.67 KB, text/plain)
2017-09-05 16:54 UTC, Fred J. Tydeman
no flags Details

Description Fred J. Tydeman 2017-09-02 19:15:06 UTC
Description of problem:
Install to hard disk gets an error about cannot write boot.  System has 64-bit Fedora 25 and 26 in other partitions as well as Windows 10.  System has UEFI bios, GPT partitions, devices are /dev/nvme (not /dev/sda).

Version-Release number of selected component (if applicable):
Both Fedora 25 and 26 (32-bit versions of LXDE Live).

How reproducible:  Tried with both Fedora 25 and 26.

Steps to Reproduce:
1. Boot either 32-bit Live LXDE Fedora 25 or 26 from USB memory stick in CSM 
   mode (those sticks would not boot in UEFI mode).
2. Try to install to hard disk with custom setup (/, /boot/efi and swap, with
   partitions already created by 64-bit Fedora 26)
3. Get error message.  Say proceed.
4. System will not boot (even after fixed grub as per bugs 964828 & 1483356).

Actual results:
Popup error about cannot write boot.  System will not be bootable. Should I continue with the install (I said yes).  Trying to boot that system gets a blank screen with cursor in top left corner.

Expected results:
System should install and be bootable.

Additional info:
I have installed those 32-bit Fedora 25 and 26 to other computers.  But, those systems had legacy BIOS (not UEFI), MBR partitions (not GPT), /dev/sda (not /dev/nvme).

Are there some commands I can do from either 64-bit Fedora 25 or 26 to fix
the 32-bit Fedora 25 or 26 partitions?

Comment 1 Jiri Konecny 2017-09-05 08:03:09 UTC
Hello Fred,

Could you please provides us logs from the installation environment. They are in /tmp/*.log.

Thank you for this report.

Comment 2 Fred J. Tydeman 2017-09-05 16:49:43 UTC
Created attachment 1322327 [details]
anaconda.log

Comment 3 Fred J. Tydeman 2017-09-05 16:51:35 UTC
Created attachment 1322328 [details]
storage.log

Comment 4 Fred J. Tydeman 2017-09-05 16:52:55 UTC
Created attachment 1322329 [details]
packaging.log

Comment 5 Fred J. Tydeman 2017-09-05 16:54:50 UTC
Created attachment 1322331 [details]
program.log

Comment 6 Fred J. Tydeman 2017-09-05 16:57:59 UTC
BIOS is setup to boot UEFI (first) and CSM (second).  Not sure what was booted for this install from Live system off of USB memory stick.

Comment 7 Fred J. Tydeman 2017-09-05 17:30:23 UTC
After doing the above install (which was the 2nd time), the UEFI boot loader has been messed up.  When I power on the laptop, I get a boot menu and try Fedora and try Windows and both fail and take me back to the boot menu.  

I have restored the  EFI System Partition from a backup.  Power off and back on takes me to the same (broken) EFI boot menu.  Picking either Fedora or Windows clears the screen and then takes me back to the EFI boot menu.  So, now I have a laptop with no bootable systems on it.

Comment 8 Fred J. Tydeman 2017-09-05 17:51:17 UTC
Assuming I can somehow boot Fedora 26 (64-bit) on the internal SSD via an external USB memory stick Fedora system, what commands do I need to do to get the the EFI boot menu back to working?

Comment 9 Fedora End Of Life 2018-05-03 08:32:32 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 12:48:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.